// Add a setInterval loop to Drupal behaviors to
// check for new updates.
Drupal.behaviors.livecoverage = function (context) {
 // Drupal.settings.livecoverage.non_alert_color = $("#livecoverage-update-list").css("background-color");
  setInterval("Drupal.livecoverageLoad()", Drupal.settings.livecoverage.refresh_rate);
}

// Perform the asynchronous request.
Drupal.livecoverageLoad = function(nid) {
  // Send POST request
  $.ajax({
    type: "POST",
    url: "/livecoverage/load",
    data: { 
      "js": true, 
      "nid": Drupal.settings.livecoverage.nid,
      "changed": Drupal.settings.livecoverage.changed 
    },
    dataType: "json",
    success: function (data) {
      if (data.status) {
        // Set the changed timestamp
        Drupal.settings.livecoverage.changed = data.changed;
        if (Drupal.settings.livecoverage.sort == "asc" && data.updates != "") {
          // If the data is ascending, we will append
          $("#livecoverage-update-list").append(data.updates);
          setTimeout('Drupal.livecoverageFadeOut()', 10000);
        }
        else if (data.updates != "") { 
          // If the data is descending, we will prepend
          $("#livecoverage-update-list").prepend(data.updates);
          setTimeout('Drupal.livecoverageFadeOut()', 10000);
        }
      }
      else {
        // Failure.
        alert(data.errorMessage);
      }
    },
    error: function (xmlhttp) {
      alert('An HTTP error occured.');
    }
  });

}

// Animate a fade out, removing the highlight color from new updates.
Drupal.livecoverageFadeOut = function() {
  $(".livecoverage-alert").animate({ "backgroundColor": "#ffffff" }, 1500);
  $(".livecoverage-update").removeClass("livecoverage-alert");
}
